// Define budget badge HTML

  var FB_PNG = "budgetBadge/img/budgetbadge1.0.png";
  var FB_CSS = "budgetBadge/css/budgetBadge1.0.css";

  var budgetBadgeHTML  = '<div id="FB_budgetLinkDiv" class="FB_budgetLink_minimized">';
      budgetBadgeHTML += '  <a id="FB_budgetLink" href="/budgettransparency/" title="Click to learn more...">';
      budgetBadgeHTML += '    <img src="'+FB_PNG+'" alt="Budget &amp; Salary/Compensation Transparency Reporting" />';
      budgetBadgeHTML += '  </a>';
      budgetBadgeHTML += '  <a id="FB_bbCloser"></a>';
      budgetBadgeHTML += '</div>';

// Add jQuery
    if (typeof jQuery == 'undefined') {  
      var FB_JQ = document.createElement('script');
        FB_JQ.src = 'budgetBadge/js/jquery.js';
        FB_JQ.type = 'text/javascript';
      document.getElementsByTagName('head')[0].appendChild(FB_JQ);
    }

// Check if jQuery's loaded
    function FB_wait() {
      if (typeof jQuery == 'undefined') {  
        window.setTimeout(FB_wait,100);
      }
      // If jQuery is loaded
      else {
        // Make sure body is loaded
        jQuery('document').ready(function () {
          var t=setTimeout("FB_addBudgetBadge()",3000);
          //FB_addBudgetBadge();
        });
      }
    }
    FB_wait();


function hideBudgetButton(){
  jQuery('#FB_budgetLinkDiv').removeClass('FB_budgetLink_minimized');
  jQuery('#FB_budgetLink').animate({ 
    width: 0,
    height: 0,
    opacity: 0.4
    }, {
          duration: 1000, 
          complete: function() {
            jQuery('#FB_budgetLink').hide();
            jQuery('#FB_budgetLinkDiv').addClass('FB_budgetLink_minimized');
            jQuery.cookie("hideBudgetBadge", "Hidden");
          } // end complete function
        }
  ); // end animate
}

function showBudgetButton(){
  jQuery('#FB_budgetLinkDiv').removeClass('FB_budgetLink_minimized');
  jQuery('#FB_budgetLink').width(0).height(0).show().animate({ 
    width: 150,
    height: 150,
    opacity: 1
    }, {
          duration: 1000, 
          complete: function() {
            jQuery.cookie("hideBudgetBadge", null);
          } // end complete function
        }
  ); // end animate
}

// Execute code
    function FB_addBudgetBadge(){
      // Check we're not in the editor
        //        jQuery('<link rel="stylesheet" type="text/css" href="'+FB_CSS+'" />').appendTo('head');
        var link = jQuery('<link />').appendTo(jQuery('head'));
        link.attr({
			rel: "stylesheet",
			href: FB_CSS
		});
        jQuery(budgetBadgeHTML).appendTo('body');
        addCookieFunctions();
//        alert(jQuery.cookie("hideBudgetBadge"));
        if(jQuery.cookie("hideBudgetBadge") == null){
          jQuery('#FB_budgetLink').hide();
          jQuery('#FB_budgetLinkDiv').removeClass('FB_budgetLink_minimized');
          showBudgetButton();
        }

        jQuery('#FB_bbCloser').click(
          function(){
            if(jQuery('#FB_budgetLinkDiv').outerWidth() > 50){
              hideBudgetButton();
            } // end if
            else{
              showBudgetButton();
            } // end else
            
          } // end click function
        ); // end click
    } // end function FB_addBudgetBadge()



function addCookieFunctions(){
  jQuery.cookie = function(name, value, options) {
      if (typeof value != 'undefined') { // name and value given, set cookie
          options = options || {};
          if (value === null) {
              value = '';
              options.expires = -1;
          }
          else {
              options.expires = 423;
          }
          var expires = '';
          if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
              var date;
              if (typeof options.expires == 'number') {
                  date = new Date();
                  date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
              } else {
                  date = options.expires;
              }
              expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
          }
          // CAUTION: Needed to parenthesize options.path and options.domain
          // in the following expressions, otherwise they evaluate to undefined
          // in the packed version for some reason...
          var path = options.path ? '; path=' + (options.path) : '';
          var domain = options.domain ? '; domain=' + (options.domain) : '';
          var secure = options.secure ? '; secure' : '';
          document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
      } else { // only name given, get cookie
          var cookieValue = null;
          if (document.cookie && document.cookie != '') {
              var cookies = document.cookie.split(';');
              for (var i = 0; i < cookies.length; i++) {
                  var cookie = jQuery.trim(cookies[i]);
                  // Does this cookie string begin with the name we want?
                  if (cookie.substring(0, name.length + 1) == (name + '=')) {
                      cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                      break;
                  }
              }
          }
          return cookieValue;
      }
  };
}